Loading...
Searching...
No Matches
GoogleCalendarDataProvider::GoogleCalendarBaseDataProvider Class Reference

The parent class for Google calendar REST APIs. More...

`#include <GoogleCalendarBaseDataProvider.qc.dox.h>`

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (GoogleRestClient::GoogleRestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.

## Protected Member Functions

*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.

## Detailed Description

The parent class for Google calendar REST APIs.

## Member Function Documentation

## getChildProviderImpl()

*DataProvider::AbstractDataProvider GoogleCalendarDataProvider::GoogleCalendarBaseDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > GoogleCalendarDataProvider::GoogleCalendarBaseDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any